package common.block;

import common.model.BlockLayer;
import common.util.BlockPos;
import common.util.Facing;
import common.world.IWorldAccess;
import common.world.State;

public class BlockTranslucent extends Block {
	public BlockTranslucent(Material material) {
		super(material);
	}

	public final boolean isOpaqueCube() {
		return false;
	}

	public final BlockLayer getBlockLayer() {
		return BlockLayer.TRANSLUCENT;
	}

	public boolean shouldSideBeRendered(IWorldAccess world, BlockPos pos, Facing side) {
		State state = world.getState(pos);
		Block block = state.getBlock();
		return block != this && super.shouldSideBeRendered(world, pos, side);
	}
}
